ฉันมีการตั้งค่าเซิร์ฟเวอร์มาตรฐานสำหรับแอปพลิเคชันของเราที่ต้องใช้ freenx ที่ฉันติดตั้งตั้งแต่ centos 6.4 บนเซิร์ฟเวอร์สองสามโหล เซิร์ฟเวอร์นี้มอบให้ฉันโดยผู้ให้บริการโฮสติ้งรายใหม่ที่มี centos 6.7 ซึ่งฉันยังไม่ได้ดำเนินการ ไม่แน่ใจว่าเป็นปัญหาหรือไม่ ฉันไม่ใช่ผู้เชี่ยวชาญเกี่ยวกับ linux แน่นอน นี่อาจเป็นปัญหากับมิเรอร์หรือ repos หรืออย่างอื่นที่ฉันขาดหายไป

อัปเดต:แพ็คเกจไม่สามารถใช้ได้ในมิเรอร์จำนวนมากอีกต่อไปด้วยเหตุผลบางประการ

yum clean all
ปลั๊กอินที่โหลดทั้งหมด: เร็วที่สุด มิเรอร์, รีเฟรชแพ็คเกจคิท, ความปลอดภัย
ทำความสะอาด repos: อัพเดตพิเศษพื้นฐาน
ทำความสะอาดทุกอย่าง
ล้างรายการ
มิเรอร์ที่เร็วที่สุดyum ติดตั้ง freenx nx
ปลั๊กอินที่โหลดแล้ว: กระจกที่เร็วที่สุด, รีเฟรชแพ็คเกจคิต, ความปลอดภัย
การตั้งค่า กระบวนการติดตั้ง การ
พิจารณามิเรอร์ที่เร็วที่สุด
* ฐาน: centos.mirrors.atwab.net
* พิเศษ: centos.mirror.iweb.ca
* อัปเดต: centos.mirror.iweb.ca
ฐาน | 3.7 kB 00:00
ฐาน/primary_db | 4.6 MB 00:02
พิเศษ | 3.4 kB 00:00
พิเศษ/primary_db | 26 kB 00:00
อัพเดต | 3.4 kB 00:00
อัพเดต/primary_db | 770 kB 00:00 น.

ไม่มีแพ็คเกจ freenx
ไม่มีแพ็คเกจ nx
ข้อผิดพลาด: ไม่มีอะไรทำ


โปรดช่วยด้วย
ขอบคุณ
เฟร็ด

แก้ไขดูเหมือนว่าฉันกำลังเผชิญกับการพึ่งพาอาศัยกันในขณะนี้ (rpm ห่วย/ฉันเป็นมือใหม่) โอนไฟล์ไปยังเซิร์ฟเวอร์จากมิเรอร์ ATrpms:

yum ติดตั้ง libXpm
rpm -i nx-3.3.0-38.el6.x86_64.rpm
yum ติดตั้ง nc คาดหวัง xorg-x11-apps
rpm -i freenx-0.7.1-5.el6.x86_64.rpm
cp /etc/nxserver/ node.conf.sample /etc/nxserver/node.conf
nxserver --adduser blah -bash
: nxserver: ไม่พบคำสั่ง
rpm -i freenx-server-0.7.3-18.el6.x86_64.rpm
คำเตือน: freenx-server- 0.7.3-18.el6.x86_64.rpm: ลายเซ็นส่วนหัว V4 DSA/SHA1, รหัสคีย์ 66534c2b:
ข้อผิดพลาดNOKEY : การพึ่งพาที่ล้มเหลว:
/usr/lib/cups/backend เป็นสิ่งจำเป็นโดย freenx-server-0.7.3-18 el6.x86_64

ติดอยู่ที่ขั้นตอนสุดท้ายแล้ว :(

answer

สำหรับ CentOS รุ่นล่าสุด (6.6+ และ 7.0+) แพ็คเกจ freenx จะหายไป มันถูกแทนที่ด้วยโปรเจ็กต์/แพ็คเกจ x2go

ตามนี้โพสต์ฟอรั่ม CentOS มีกลุ่มแพคเกจที่เรียกว่า FreeNX

ตาม CentOS FreeNX howtoแพ็คเกจเป็นค่าเริ่มต้น แต่ไม่มีอยู่ในมิเรอร์นี้(อันที่เป็นทางการ)

ดูเหมือนว่ามันจะถูกลบออกจาก repos อย่างเป็นทางการของ CentOS แล้ว อาจมีการอ้างอิงเกี่ยวกับสิ่งนี้ในบันทึกการเปลี่ยนแปลง (ยังคงมีให้สำหรับ CentOS 5 อย่างเป็นทางการ)

ที่นี่คุณสามารถดาวน์โหลด rpm และแสดงรายการการพึ่งพาได้ ฉันยังคงรู้ว่าไม่ใช่แนวทางในอุดมคติ Epel ดูเหมือนจะไม่มีแพ็คเกจ บางที repo ที่ไม่เป็นทางการอื่นอาจมีอยู่